مواد پر جائیں

Bagel · Understand

انٹیگریٹ کریں

ماڈل id bagel/understand
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/bagel/understand?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

یہ درخواست: ⁨$0.05⁩ 50 API کریڈٹس · ≈ ⁨₽5.27⁩ اس صفحے پر چلائیں

API کلید حاصل کریں
ByteDance بصارت #image-to-text#vlm

تصویر کے بارے میں متنی سوال کا جواب دیتا ہے اور تحریری جواب واپس کرتا ہے

ByteDance · متن

آپ کا پہلا نتیجہ یہاں آئے گا

ذیل میں درخواست بنائیں اور اپنی API کلید کے ساتھ چلائیں۔ آؤٹ پٹس ہمارے اسٹوریج میں کاپی ہو جاتے ہیں، ہمیشہ کے لیے یا مفت میں 7 دن تک محفوظ رہتے ہیں۔

درخواست بنائیں

کنٹرولز ماڈل اسکیما سے تیار ہوتے ہیں۔ آپ کے بدلنے کے ساتھ کوڈ اور قیمت اپ ڈیٹ ہوتے ہیں۔

•لازمی

تصویر سے استفسار کرنے کے لیے پرامپٹ۔

•لازمی image_url
فائل ڈراپ کریں، یا

استفسار کے لیے فراہم کردہ تصویر۔

ایڈوانسڈ seed · enable_safety_checker

تخلیق کے لیے سیڈ قدر۔

POST /run/bagel/understand?wait=20 قیمت → ⁨$0.05⁩
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/bagel/understand?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

یہ درخواست چلائیں

آپ کی key اسی براؤزر میں رہتی ہے: یہ صرف Doitong API کو بھیجی جاتی ہے اور صرف اس صورت میں localStorage میں محفوظ ہوتی ہے جب آپ Remember منتخب کریں۔ API کلید حاصل کریں

Bagel · Understand کے بارے میں

ایک ویژن-لینگویج موڈ: اپنے سوال کے ساتھ ایک `image_url` اور ایک `prompt` فراہم کریں، اور ماڈل `text` فیلڈ میں ٹیکسٹ واپس کرتا ہے۔ ایک `seed` سیٹ کیا جا سکتا ہے۔ اسے تصاویر تیار کرنے کے بجائے تصویر کے مواد کو بیان کرنے یا اس کے بارے میں پوچھ گچھ کرنے کے لیے استعمال کریں۔

پیرامیٹرز

معیاری نام یا مقامی نام میں سے صرف ایک بھیجیں، دونوں نہیں۔ معیاری نام

نامقسم ڈیفالٹمجاز تفصیل
image_urlلازمی image
قسمurl · image
استفسار کے لیے فراہم کردہ تصویر۔
promptلازمی
قسمstring
تصویر سے استفسار کرنے کے لیے پرامپٹ۔
seedاختیاری
قسمinteger
تخلیق کے لیے سیڈ قدر۔
enable_safety_checkerاختیاری
قسمboolean
ڈیفالٹtrue
false سیٹ کر کے اسکریننگ نرم کی جا سکتی ہے، بشرطیکہ کال کرنے والا مجاز ہو۔
لازمی معیاری نام، یہ بھی قبول ہے

فائل پیرامیٹرز عوامی https:// URL، 10 MB تک کی data: URI، یا اپ لوڈ کے file_url کو قبول کرتے ہیں۔ فائلیں

آؤٹ پٹ

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "bagel/understand",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 50,
    "usd": "0.05",
    "charged": 50,
    "refunded": 0
  },
  "input": {
    "image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  },
  "output": {
    "text": "string",
    "seed": 42,
    "prompt": "string",
    "timings": {}
  },
  "outputs": [
    {
      "type": "file",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
آپ کی فائلیں، آپ کا انتخابہر outputs[].url ہمارے اسٹوریج میں ایک کاپی ہے: ہمیشہ کے لیے محفوظ (فی GB-ماہ ادائیگی) یا مفت میں 7 دن تک، آپ کی اکاؤنٹ سیٹنگ یا ?storage= کے مطابق۔
ہر ماڈل میں ایک جیسی ساختtype، url، content_type، width، height اور duration، تصاویر، ویڈیو اور آڈیو سب کے لیے یکساں۔ output ماڈل کا اپنا نتیجہ آبجیکٹ ہے۔
آؤٹ پٹ کے فیلڈز
text
stringاستفسار کا جواب۔
seed
integerتخلیق کے دوران استعمال ہونے والی سیڈ ویلیو۔
prompt
stringتخلیق کی رہنمائی کرنے والا استفسار۔
timings
objectتخلیق کے لیے ٹائمنگ کی معلومات۔

مزید ماڈلز: بصارت

AI ایجنٹس کے لیے: یہ صفحہ Markdown میں یہاں موجود ہے https://doitong.com/ur/developers/models/bagel/understand.md. تمام ماڈلز اور گائیڈز: https://doitong.com/developers/llms.txt